package com.yunzhi.marketing.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaMiniappTheme;

public interface ITaMiniappThemeService extends IService<TaMiniappTheme> {

    IPage<TaMiniappTheme> getThemeList(Integer orgId, Boolean includeNotUsed, Integer pageNum, Integer pageSize);

    ResponseBean editTheme(TaMiniappTheme taMiniappTheme);

    ResponseBean deleteTheme(TaMiniappTheme taMiniappTheme);

    TaMiniappTheme getProfileById(Integer id);
}
